package com.rf.psychological.menu.service;

import com.rf.psychological.menu.dao.model.RoleMenuEntry;

import java.util.List;

public interface RoleMenuService {

    /**
     * 查询 角色菜单关联关系
     * @param role
     * @return
     */
    List<RoleMenuEntry> findByRole(String role);

    /**
     * 查询菜单下的角色关联信息
     * @param menuNo
     * @return
     */
    List<RoleMenuEntry> findByMenuNo(String menuNo);

    void deleteByRoleNo(String roleNo);

    void saveBatch(List<RoleMenuEntry> roleMenuEntryList);
}
